function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = PH.static_g1_tt(T, y, x, params);
end
g1 = zeros(57, 57);
g1(2,1)=1;
g1(2,8)=(-(getPowerDeriv(y(8),1-params(6),1)));
g1(3,23)=1;
g1(4,24)=1;
g1(5,2)=1/y(2)-params(2)*1/y(2);
g1(6,50)=1/y(50)-params(28)*1/y(50);
g1(7,1)=(-(params(35)*params(3)*y(50)*T(23)*getPowerDeriv(T(1),params(5),1)*T(24)));
g1(7,4)=(-(params(35)*T(24)*(1-params(3))*getPowerDeriv(y(4),params(5),1)));
g1(7,6)=(-(params(35)*T(24)*(-((1-params(3))*params(5)*params(8)/(1+params(7))*getPowerDeriv(y(6),1+params(7),1)))));
g1(7,8)=1;
g1(7,50)=(-(params(35)*T(24)*params(3)*T(8)));
g1(8,3)=(-(1-params(40)));
g1(8,4)=1;
g1(9,1)=(-((1+y(26))*params(3)*y(50)*(-(y(8)*T(23)))/(T(1)*T(1))*T(25)/(1+y(48))));
g1(9,8)=(-((1+y(26))*params(3)*y(50)*T(25)*1/T(1)/(1+y(48))));
g1(9,26)=(-(T(11)/(1+y(48))));
g1(9,48)=(-((-((1+y(26))*T(11)))/((1+y(48))*(1+y(48)))));
g1(9,50)=(-((1+y(26))*params(3)*T(10)/(1+y(48))));
g1(10,4)=(-(T(12)*getPowerDeriv(y(4),1/params(4),1)));
g1(10,6)=(-(T(13)*params(8)*getPowerDeriv(y(6),params(7),1)));
g1(10,32)=1;
g1(11,4)=(-((1-params(3))*1/y(8)*T(29)));
g1(11,7)=1;
g1(11,8)=(-((1-params(3))*T(29)*(-y(4))/(y(8)*y(8))));
g1(12,3)=1;
g1(12,6)=(-y(32));
g1(12,10)=y(16)-1/(1+y(48));
g1(12,11)=y(17)-(1+y(17)*params(29))/(1+y(48));
g1(12,16)=y(10);
g1(12,17)=y(11)-y(11)*params(29)/(1+y(48));
g1(12,18)=1;
g1(12,32)=(-y(6));
g1(12,38)=(-1);
g1(12,39)=(-1);
g1(12,40)=(-1);
g1(12,41)=1;
g1(12,48)=(-((-(y(10)+y(11)*(1+y(17)*params(29))))/((1+y(48))*(1+y(48)))));
g1(13,10)=(-(0.5*params(30)*y(16)*params(33)));
g1(13,11)=(-(0.5*params(30)*(-y(17))));
g1(13,16)=(-(0.5*params(30)*y(10)*params(33)));
g1(13,17)=(-(0.5*params(30)*(-y(11))));
g1(13,18)=1;
g1(14,2)=(-(T(14)*y(6)*T(27)));
g1(14,5)=1;
g1(14,6)=(-(T(14)*y(2)*T(27)));
g1(14,9)=(-(T(15)*y(34)*T(31)));
g1(14,34)=(-(T(15)*y(9)*T(31)));
g1(15,1)=(-(y(37)*T(26)));
g1(15,6)=y(31)-params(11)*(y(31)-y(32));
g1(15,8)=(-(y(37)*T(30)));
g1(15,31)=y(6)*(1-params(11));
g1(15,32)=y(6)*params(11);
g1(15,37)=(-(1+T(7)));
g1(15,50)=(-(y(37)*T(2)*T(3)*params(3)*T(4)));
g1(16,5)=(-(T(17)*params(13)*T(16)));
g1(16,37)=1;
g1(16,48)=(-(T(17)*y(5)*params(13)*T(32)+y(5)*params(13)*T(16)*T(32)));
g1(17,19)=1;
g1(18,20)=1;
g1(19,10)=(-((-params(30))*y(16)*params(33)));
g1(19,11)=(-((-params(30))*(-y(17))));
g1(19,16)=(-((-params(30))*y(10)*params(33)));
g1(19,17)=(-((-params(30))*(-y(11))));
g1(19,21)=1;
g1(20,10)=(-(params(30)*params(33)*y(16)*params(33)));
g1(20,11)=(-(params(30)*params(33)*(-y(17))));
g1(20,16)=(-(params(30)*params(33)*y(10)*params(33)));
g1(20,17)=(-(params(30)*params(33)*(-y(11))));
g1(20,22)=1;
g1(21,7)=(-((1+y(17)*params(29))/y(17)-y(19)-(1+y(21))*(1+y(29))));
g1(21,17)=(-(y(7)*(y(17)*params(29)-(1+y(17)*params(29)))/(y(17)*y(17))));
g1(21,19)=y(7);
g1(21,21)=(-(y(7)*(-(1+y(29)))));
g1(21,29)=(-(y(7)*(-(1+y(21)))));
g1(22,7)=(-(1+y(26)-y(20)-(1+y(29))*(1+y(22))));
g1(22,20)=y(7);
g1(22,22)=(-(y(7)*(-(1+y(29)))));
g1(22,26)=(-y(7));
g1(22,29)=(-(y(7)*(-(1+y(22)))));
g1(23,16)=1;
g1(23,26)=(-((-1)/((1+y(26))*(1+y(26)))));
g1(24,13)=1-params(29)/(1+y(48)+0.003859435);
g1(24,14)=(-1);
g1(24,48)=(-(y(13)*(-params(29))/((1+y(48)+0.003859435)*(1+y(48)+0.003859435))));
g1(25,17)=(-((y(17)*params(29)-(1+y(17)*params(29)))/(y(17)*y(17))));
g1(25,28)=1;
g1(26,12)=(-(y(24)/T(18)));
g1(26,13)=(-(y(23)*params(29)/(1+y(48))+y(24)*(1+y(17)*params(29))/T(18)));
g1(26,17)=(-(y(24)*params(29)*y(13)/T(18)));
g1(26,23)=(-(y(13)*params(29)/(1+y(48))));
g1(26,24)=(-((y(12)+(1+y(17)*params(29))*y(13))/T(18)));
g1(26,25)=1;
g1(26,48)=(-(y(23)*y(13)*(-params(29))/((1+y(48))*(1+y(48)))+(-(y(24)*(y(12)+(1+y(17)*params(29))*y(13))*2*(1+y(48))))/(T(18)*T(18))));
g1(27,5)=(-(y(15)*0.01/y(17)));
g1(27,13)=(-((1-params(26))*(1-params(29))+params(27)*(-(params(29)/(1+y(48)+0.003859435)))));
g1(27,14)=1;
g1(27,15)=(-((y(5))/100/y(17)));
g1(27,17)=(-((-(y(15)*(y(5))/100))/(y(17)*y(17))));
g1(27,48)=(-(params(27)*(-(y(13)*(-params(29))/((1+y(48)+0.003859435)*(1+y(48)+0.003859435))))));
g1(28,12)=y(16);
g1(28,13)=y(17);
g1(28,16)=y(12);
g1(28,17)=y(13);
g1(29,10)=1;
g1(29,12)=1;
g1(30,11)=1;
g1(30,13)=1;
g1(31,6)=1/y(9);
g1(31,9)=(-y(6))/(y(9)*y(9));
g1(31,31)=(-((-(params(14)*(1-params(14))*y(33)))/(y(31)*params(14)*y(31)*params(14))));
g1(31,33)=(-((1-params(14))/(y(31)*params(14))));
g1(32,2)=(-(T(20)*(-(y(31)*(1-params(14))))/(y(2)*(1-params(14))*y(2)*(1-params(14)))*T(28)));
g1(32,30)=1;
g1(32,31)=(-(T(20)*T(28)*1/(y(2)*(1-params(14)))));
g1(32,33)=(-(T(19)*1/params(14)*getPowerDeriv(y(33)/params(14),params(14),1)));
g1(33,26)=(-(params(12)*y(36)*(-1)/((1+y(26))*(1+y(26)))/(1+y(48))));
g1(33,30)=params(10);
g1(33,36)=(-(params(12)*(1+T(21))));
g1(33,48)=(-(params(12)*y(36)*(-(1/(1+y(26))))/((1+y(48))*(1+y(48)))));
g1(34,36)=1;
g1(34,48)=(-(T(17)*T(32)+T(16)*T(32)));
g1(35,43)=1;
g1(36,44)=1;
g1(37,9)=1-(1-y(35));
g1(37,35)=y(9);
g1(37,42)=(-1);
g1(38,1)=(-((y(47)-y(44))*T(26)));
g1(38,8)=(-((y(47)-y(44))*T(30)));
g1(38,44)=T(7);
g1(38,47)=(-T(7));
g1(38,50)=(-((y(47)-y(44))*T(2)*T(3)*params(3)*T(4)));
g1(39,1)=(-(y(47)*(1-y(35))*T(26)));
g1(39,8)=(-(y(47)*(1-y(35))*T(30)));
g1(39,33)=(-y(34));
g1(39,34)=(-y(33));
g1(39,35)=(-(y(47)*(-T(7))));
g1(39,47)=1-T(7)*(1-y(35));
g1(39,50)=(-(y(47)*(1-y(35))*T(2)*T(3)*params(3)*T(4)));
g1(40,1)=(-((params(17)+params(18)*(y(34)-1))*y(47)*T(26)));
g1(40,8)=(-((params(17)+params(18)*(y(34)-1))*y(47)*T(30)));
g1(40,9)=y(33);
g1(40,33)=y(9);
g1(40,34)=(-(params(18)*T(7)*y(47)));
g1(40,47)=(-(T(7)*(params(17)+params(18)*(y(34)-1))));
g1(40,50)=(-((params(17)+params(18)*(y(34)-1))*y(47)*T(2)*T(3)*params(3)*T(4)));
g1(41,34)=(-(params(17)+params(18)*2*(y(34)-1)));
g1(41,35)=1;
g1(42,5)=(-(params(12)/2*T(22)));
g1(42,45)=1;
g1(42,48)=(-(y(5)*params(12)/2*T(32)*2*T(17)));
g1(43,5)=(-(T(22)*params(13)/2));
g1(43,46)=1;
g1(43,48)=(-(y(5)*params(13)/2*T(32)*2*T(17)));
g1(44,5)=(-(1+params(9)-y(30)));
g1(44,30)=y(5);
g1(44,38)=1;
g1(44,45)=1;
g1(45,9)=(-(y(34)*y(33)));
g1(45,33)=(-(y(34)*y(9)));
g1(45,34)=(-(y(9)*y(33)));
g1(45,39)=1;
g1(45,42)=1;
g1(45,43)=1;
g1(46,6)=(-(y(31)-y(32)));
g1(46,31)=(-y(6));
g1(46,32)=y(6);
g1(46,40)=1;
g1(46,46)=1;
g1(47,5)=(-((1-params(22))*params(20)*((y(5))-y(5))/((y(5))*(y(5)))/(y(5)/(y(5)))));
g1(47,26)=(-1);
g1(47,27)=1;
g1(47,48)=(-((1-params(22))*params(19)*T(32)/T(16)));
g1(48,25)=1e-06*params(24);
g1(48,26)=1;
g1(48,27)=(-1);
g1(49,15)=1;
g1(50,12)=(-(1/(1+y(48))));
g1(50,13)=(-((1+y(17)*params(29))/(1+y(48))));
g1(50,17)=(-(params(29)*y(13)/(1+y(48))));
g1(50,48)=(-((-(y(12)+(1+y(17)*params(29))*y(13)))/((1+y(48))*(1+y(48)))));
g1(50,49)=1;
g1(51,5)=(-params(9));
g1(51,41)=1;
g1(51,49)=1;
g1(52,42)=1-(1+y(52));
g1(52,52)=(-(y(42)));
g1(53,5)=1-(1+y(53));
g1(53,53)=(-(y(5)));
g1(54,6)=1-(1+y(54));
g1(54,54)=(-(y(6)));
g1(55,26)=1;
g1(55,55)=(-1);
g1(56,48)=1;
g1(56,56)=(-1);
g1(57,5)=(-y(57));
g1(57,13)=y(17);
g1(57,17)=y(13);
g1(57,57)=(-y(5));
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
