function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 32);

T = PH.static_resid_tt(T, y, x, params);

T(23) = getPowerDeriv(y(1),1/(1-params(6)),1);
T(24) = getPowerDeriv(T(9),1/params(5),1);
T(25) = getPowerDeriv(y(8)/T(1),params(6)/params(4),1);
T(26) = T(2)*T(3)*params(3)*y(50)*T(23)*getPowerDeriv(T(1),params(6)+params(5)-1,1);
T(27) = getPowerDeriv(y(6)*y(2),1-params(14),1);
T(28) = getPowerDeriv(y(31)/(y(2)*(1-params(14))),1-params(14),1);
T(29) = getPowerDeriv(y(4)/y(8),params(5)-1,1);
T(30) = T(6)*getPowerDeriv(y(8),1-params(5),1)+T(2)*T(5)*getPowerDeriv(y(8),(-params(6)),1);
T(31) = getPowerDeriv(y(34)*y(9),params(14),1);
T(32) = 1/(1+params(21));

end
