function locations = find_string_index(cell,strings)
% Given a cell array and a string, return the location of the string

if length(strings)==1
    exact_match_mask = strcmp(cell, strings);
    locations = find(exact_match_mask);
else
    locations = [];
    for j = 1:length(strings)
        exact_match_mask = strcmp(cell, strings(j));
        locations = [locations find(exact_match_mask)];
    end
end
end

