%% main file for running simulations

clear all; clc;

% Callib() returns (manually input) parameter values as a structure
cal_pars = Callib();

% Declarations.m writes a file dynare_declarations.m later included by PH.mod
% generates a list of vars/pars/exos for both matlab and Dynare and sets
% param values 
Declarations; 

% run Dynare! Variable "scenar" controls whether we do simulation or estimation
%dynare PH.mod -Dscenar="stoch";
dynare PH.mod -Dscenar="estimate";
