function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 22);

T(1) = y(1)^(1/(1-params(6)));
T(2) = y(8)^(1-params(5));
T(3) = y(8)^(-params(6));
T(4) = (T(1))^(params(6)+params(5)-1);
T(5) = params(3)*y(50)*T(4);
T(6) = T(3)*T(5);
T(7) = T(2)*T(6);
T(8) = (T(1))^params(5);
T(9) = (1-params(3))*y(4)^params(5)-(1-params(3))*params(5)*params(8)/(1+params(7))*y(6)^(1+params(7))+params(3)*y(50)*T(8);
T(10) = (y(8)/T(1))^(params(6)/params(4));
T(11) = params(3)*y(50)*T(10);
T(12) = params(8)*y(6)^params(7);
T(13) = y(4)^(1/params(4));
T(14) = (y(34)*y(9))^params(14);
T(15) = (y(6)*y(2))^(1-params(14));
T(16) = (1+y(48))/(1+params(21));
T(17) = T(16)-1;
T(18) = (1+y(48))^2;
T(19) = (y(31)/(y(2)*(1-params(14))))^(1-params(14));
T(20) = (y(33)/params(14))^params(14);
T(21) = 1/(1+y(26))/(1+y(48));
T(22) = T(17)^2;

end
