% Estimation_prep.m -- Measures necessary for estimation (such as
% observation equations)

%% Observables
var I_obs y_obs n_obs i_obs pie_obs QE_obs;
varobs I_obs y_obs n_obs i_obs pie_obs QE_obs;

%var I_obs y_obs n_obs i_obs pie_obs;
%varobs I_obs y_obs n_obs i_obs pie_obs;

% no measurement error for QE as it is known very precisely
%varexo IE yE nE iE pE;

%% Observation equations

model; 
I    = steady_state(I) * (1+I_obs) ;
y       = steady_state(y) * (1+y_obs);
n       = steady_state(n) * (1+n_obs);
iSR     = i_obs;
pie     = pie_obs;
BLR*QLR = (QE_obs) * y;
end;


